import React from 'react';
import HoverHigh from './HoverHigh'

class SingleLetterHoverWord extends React.Component {
    render() {
      let content = []
      for(let i = 0 ; i < this.props.text.length ; i++){
        content.push(<HoverHigh char={this.props.text.charAt(i)} key={i}/>)
      }

      return <span class={this.props.class}>
        {content}
        </span>;

    }
  }

export default SingleLetterHoverWord